### DB->set_encrypt

`

###

    #include <db.h>

    int
    DB->set_encrypt(DB *db, const char *passwd, u_int32_t flags);

    int
    DB->get_encrypt_flags(DB *db, u_int32_t *flagsp);

### Description: DB->set_encrypt

Set the password used by the Berkeley DB library to perform encryption and decryption.

Because databases opened within Berkeley DB environments use the password specified to the environment, it is an error to attempt to set a password in a database created within an environment.

The DB->set_encrypt method may not be called after the DB->open method is called.

The DB->set_encrypt method returns a non-zero error value on failure and 0 on success.

### Parameters

flags
  The flags parameter must be set to 0 or the following value:

  DB_ENCRYPT_AES
    Use the Rijndael/AES (also known as the Advanced Encryption Standard and Federal Information Processing Standard (FIPS) 197) algorithm for encryption or decryption.

passwd
  The passwd parameter is the password used to perform encryption and decryption.

### Errors

The DB->set_encrypt method may fail and return one of the following non-zero errors:

EINVAL
  If the method was called after DB->open was called; or if an invalid flag value or parameter was specified.

EOPNOTSUPP
  Cryptography is not available in this Berkeley DB release.

### Description: DB->get_encrypt_flags

The DB->get_encrypt_flags method returns the encryption flags.

The DB->get_encrypt_flags method may be called at any time during the life of the application.

The DB->get_encrypt_flags method returns a non-zero error value on failure and 0 on success.

### Parameters

flagsp
  The DB->get_encrypt_flags method returns the encryption flags in flagsp.

### Class

DB

### See Also

Databases and Related Methods`

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.